### Function

# GLib test_skip

since: 2.38

#### Declaration

    void
    g_test_skip (
      const gchar* msg
    )

#### Description

Indicates that a test was skipped.

Calling this function will not stop the test from running, you need to return from the test function yourself. So you can produce additional diagnostic messages or even continue running the test.

If not called from inside a test, this function does nothing.

Available since: 2.38

#### Parameters

`msg`

  Type: `const gchar*`

  Explanation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.